Хостинг серверов Minecraft playvds.com
  1. Этот сайт использует файлы cookie. Продолжая пользоваться данным сайтом, Вы соглашаетесь на использование нами Ваших файлов cookie. Узнать больше.
  2. Вы находитесь в русском сообществе Bukkit. Мы - администраторы серверов Minecraft, разрабатываем собственные плагины и переводим на русский язык плагины наших собратьев из других стран.
    Скрыть объявление

Плагин [SEC/FIX] WGExtender [1.10+] [WG6.1.3+, WE6.1.4+]

Тема в разделе "Релизы плагинов", создана пользователем Shevchik, 21 мар 2014.

  1. smithy

    smithy Новичок

    Баллы:
    16
    Имя в Minecraft:
    Smithy
    Да, но естественно если его выдать группе ограничение полностью убраеться.
     
  2. Mr Hosting
  3. qVeshn

    qVeshn Активный участник Пользователь

    Баллы:
    66
    Попробуй в конфиг плагина пропиши:
    Код:
    claim:
      blocklimits:
        enabled: true
        limits:
          default: 100000
          group2: 120000
          group3: 130000
          group4: 140000
          ...
    
    эти группы, естественно должны существовать в пермишен файле
     
  4. InterWall

    InterWall Старожил Пользователь

    Баллы:
    173
    Эх, ну вот что с вами не так? В пексе такое спокойно можно было провернуть, просто в дефолтную группу добавляешь перм - -'*'
    И да, пекс сейчас не актуален, все пересаживаются на luckperms.
     
  5. smithy

    smithy Новичок

    Баллы:
    16
    Имя в Minecraft:
    Smithy
    Я и перешёл с pex на https://www.spigotmc.org/resources/ultra-permissions.42678/
    на pex работало, на этом нет, подозреваю не хватает каких то разрешений.
     
  6. smithy

    smithy Новичок

    Баллы:
    16
    Имя в Minecraft:
    Smithy
    Все группы есть проблема именно в отсутствие разрешений.
     
  7. InterWall

    InterWall Старожил Пользователь

    Баллы:
    173
    Платный? С майновским гуем? Да ну в жопу, с каких пор майновский гуи удобен в редактировании пермов?
    И да, платный — пиши разрабу, мы эту штуку даже затестить не можем.
     
  8. qVeshn

    qVeshn Активный участник Пользователь

    Баллы:
    66
    Ты можешь детально описать что у тебя там происходит?
    Т.е. точная последовательность действий и что тебе в ответ пишется при этом. И лог файл, если есть какие то ексепшены.
    Также хочу обратить внимание:
    https://github.com/Shevchik/WorldGu...tender/features/claimcommand/BlockLimits.java
    Строка 64
    Как видно плагин использует либо плагин Vault, либо WorldGuard для получения списка групп, к которым принадлежит текущий игрок.
    Далее он сравнивает их с теми группами, которые записаны у него в конфиге и вытягивает максимальный размер региона доступный для привата.
    Если при привате, тебе выдается ошибка типа "Вы не можете заприватить такой большой регион", то это значит, либо Vault/WorldGuard не возвращают группы, либо их названия не соответствуют тому что написано в конфиге
     
    Последнее редактирование: 16 янв 2018
  9. InterWall

    InterWall Старожил Пользователь

    Баллы:
    173
    Кстати у него может не стоять ваулт или его ultra permissions плагин к ваулту не хукается.
     
  10. Linkinkov

    Linkinkov Старожил Пользователь

    Баллы:
    173
    Skype:
    linkinkov1
    Имя в Minecraft:
    linkinkov
    Альтернативу плагину кто-то находил? Без рефлексий в коде
     
  11. qVeshn

    qVeshn Активный участник Пользователь

    Баллы:
    66
    А зачем искать? Этот прекрасно работает =)
     
  12. Linkinkov

    Linkinkov Старожил Пользователь

    Баллы:
    173
    Skype:
    linkinkov1
    Имя в Minecraft:
    linkinkov
    У меня не совсем cauldron для тестов стоит, соответственно рефлексии не завез (bukkit в виде библиотеки).
     
  13. qVeshn

    qVeshn Активный участник Пользователь

    Баллы:
    66
    :confused:
    К сожалению я не настолько продвинутый в части завозов рефлексий и не пониманию Вашего жаргона :rolleyes:
    "рефликсий" - это как я понимаю неудачный перевод слова "reflection"
    "завез" - хз что это значит. вроде на глагол похоже. кто не завез? куда не завез?

    У меня совсем не cauldron + совсем не для тестов. Называется spigot 1.12.2. И всё работает =)
    К тому же все исходники этого плагина лежат на github. Если что, то всегда можно сделать перевоз рефликсий в дефлексии или, на крайний случай, в рефракции.
    :cool:
     
    Последнее редактирование: 8 фев 2018
  14. Linkinkov

    Linkinkov Старожил Пользователь

    Баллы:
    173
    Skype:
    linkinkov1
    Имя в Minecraft:
    linkinkov
    меньше оффтопа, я рад за вас
     
  15. Чико:3

    Чико:3 Активный участник Пользователь

    Баллы:
    66
    Имя в Minecraft:
    TheChico
    [16:52:30] [Server thread/INFO]: [WGExtender] Enabling WGExtender v1.0
    [16:52:30] [Server thread/ERROR]: [WGExtender] Unable to inject, shutting down
    [16:52:30] [Server thread/WARN]: java.lang.NoSuchMethodError: com.sk89q.worldguard.bukkit.WorldGuardPlugin.getFlagRegistry()Lcom/sk89q/worldguard/protection/flags/registry/FlagRegistry;
    [16:52:30] [Server thread/WARN]: at wgextender.features.flags.FlagRegistration.registerFlag(FlagRegistration.java:19)
    [16:52:30] [Server thread/WARN]: at wgextender.WGExtender.onEnable(WGExtender.java:98)
    [16:52:30] [Server thread/WARN]: at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:321)
    [16:52:30] [Server thread/WARN]: at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:332)
    [16:52:30] [Server thread/WARN]: at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:407)
    [16:52:30] [Server thread/WARN]: at org.bukkit.craftbukkit.v1_8_R3.CraftServer.loadPlugin(CraftServer.java:359)
    [16:52:30] [Server thread/WARN]: at org.bukkit.craftbukkit.v1_8_R3.CraftServer.enablePlugins(CraftServer.java:318)
    [16:52:30] [Server thread/WARN]: at net.minecraft.server.v1_8_R3.MinecraftServer.s(MinecraftServer.java:408)
    [16:52:30] [Server thread/WARN]: at net.minecraft.server.v1_8_R3.MinecraftServer.k(MinecraftServer.java:372)
    [16:52:30] [Server thread/WARN]: at net.minecraft.server.v1_8_R3.MinecraftServer.a(MinecraftServer.java:327)
    [16:52:30] [Server thread/WARN]: at net.minecraft.server.v1_8_R3.DedicatedServer.init(DedicatedServer.java:267)
    [16:52:30] [Server thread/WARN]: at net.minecraft.server.v1_8_R3.MinecraftServer.run(MinecraftServer.java:563)
    [16:52:30] [Server thread/WARN]: at java.lang.Thread.run(Unknown Source)

    *Включение всяких плагинов*

    [16:52:33] [Server thread/INFO]: Server permissions file permissions.yml is empty, ignoring it
    [16:52:33] [Server thread/INFO]: Done (15,241s)! For help, type "help" or "?"
    [16:52:33] [Server thread/INFO]: Stopping server

    *Выключение всяких плагинов*

    [16:52:33] [Server thread/INFO]: [WGExtender] Disabling WGExtender v1.0
    [16:52:33] [Server thread/ERROR]: [WGExtender] Unable to uninject, shutting down
    [16:52:33] [Server thread/WARN]: java.lang.NullPointerException
    [16:52:33] [Server thread/WARN]: at wgextender.WGExtender.onDisable(WGExtender.java:118)
    [16:52:33] [Server thread/WARN]: at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:323)
    [16:52:33] [Server thread/WARN]: at org.bukkit.plugin.java.JavaPluginLoader.disablePlugin(JavaPluginLoader.java:360)
    [16:52:33] [Server thread/WARN]: at org.bukkit.plugin.SimplePluginManager.disablePlugin(SimplePluginManager.java:427)
    [16:52:33] [Server thread/WARN]: at org.bukkit.plugin.SimplePluginManager.disablePlugins(SimplePluginManager.java:420)
    [16:52:33] [Server thread/WARN]: at org.bukkit.craftbukkit.v1_8_R3.CraftServer.disablePlugins(CraftServer.java:338)
    [16:52:33] [Server thread/WARN]: at net.minecraft.server.v1_8_R3.MinecraftServer.stop(MinecraftServer.java:456)
    [16:52:33] [Server thread/WARN]: at net.minecraft.server.v1_8_R3.MinecraftServer.run(MinecraftServer.java:652)
    [16:52:33] [Server thread/WARN]: at java.lang.Thread.run(Unknown Source)
     
  16. Cool_boy

    Cool_boy Активный участник Пользователь

    Баллы:
    76
    Имя в Minecraft:
    prettydude
    Нету метода, значит версия WorldGuard не подходит
     
  17. qVeshn

    qVeshn Активный участник Пользователь

    Баллы:
    66
    Номер сборки WGExtemder какая и версия WorldGuard?
    У меня сборка #7 и WG 6.2.1 и вроде работает
     
  18. Чико:3

    Чико:3 Активный участник Пользователь

    Баллы:
    66
    Имя в Minecraft:
    TheChico
    WGExtender недавно скачивал отсюда
    WorldGuard 6.1.1-SNAPSHOT

    Как я понимаю у меня старая версия WG, можете дать ссылку на WGExtender под мою версию WG?
     
  19. qVeshn

    qVeshn Активный участник Пользователь

    Баллы:
    66
    Вообще то новые версии плагинов делают не только потому, что новые версии майнкрафта, но и потому, что ошибки исправляют
    Поэтому рекомендую обновить WE и WG до последних версий
    Ну а так, если очень хочется использовать старый софт с ошибками, то
    https://build.true-games.org/job/WorldGuardExtender/
    На странице слева внизу есть номера сборок и даты. Можешь взять старую версию WGExtender. Какая именно соответствует WG 6.1.1 - я не знаю. попробуй по датам сравнить

    ЗЫ. WG 6.2.1 изменилась механика регистрации кастом-флагов. Поэтому плагины кастом-флагов типа: WGCustomFlags +зависящие от него (WGFlyFlag, WGRegionCommands, WGTreeFarmFlag и т.д.) работать не будут. Данные плагины придется подковырять либо отказаться от них
     
    Последнее редактирование: 21 фев 2018 в 13:19
  20. Чико:3

    Чико:3 Активный участник Пользователь

    Баллы:
    66
    Имя в Minecraft:
    TheChico
    Та ну их, никогда не пользовался и не буду. А за ссылку на старый WGExtender спасибо
    Причина почему я не могу поставить новый WG в том, что я перевел старый, а новый переводить заново не очень хочется..
     
  21. qVeshn

    qVeshn Активный участник Пользователь

    Баллы:
    66
    Подскажи плиз, чем ты переводишь плагины. Я ищу инструмент для этих целей. Но удобных пока не нашел
     

Поделиться этой страницей